Debian Bug report logs - #459028
texmacs: FTBFS: /usr/include/c++/4.2/bits/locale_facets.tcc:118: error: 'dynamic_cast' not permitted with -fno-rtti

version graph

Package: texmacs; Maintainer for texmacs is Atsuhito KOHDA <kohda@debian.org>; Source for texmacs is src:texmacs.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Fri, 4 Jan 2008 09:51:07 UTC

Severity: serious

Tags: patch

Found in version texmacs/1:1.0.6.11-3

Fixed in version texmacs/1:1.0.6.11-3.1

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#459028; Package texmacs. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: texmacs: FTBFS: /usr/include/c++/4.2/bits/locale_facets.tcc:118: error: 'dynamic_cast' not permitted with -fno-rtti
Date: Fri, 4 Jan 2008 10:40:31 +0100
Package: texmacs
version: 1:1.0.6.11-3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080103 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:

 > ./Typeset/Boxes/Basic/basic_boxes.cpp:189: warning: deprecated conversion from string constant to 'char*'
 > ./Typeset/Boxes/Basic/basic_boxes.cpp: In member function 'virtual control_tree_box_rep::operator tree()':
 > ./Typeset/Boxes/Basic/basic_boxes.cpp:217: warning: deprecated conversion from string constant to 'char*'
 > ./Typeset/Boxes/Basic/basic_boxes.cpp: In member function 'virtual control_lazy_box_rep::operator tree()':
 > ./Typeset/Boxes/Basic/basic_boxes.cpp:226: warning: deprecated conversion from string constant to 'char*'
 > /usr/include/c++/4.2/bits/locale_facets.tcc: In function 'const _Facet& std::use_facet(const std::locale&) [with _Facet = std::numpunct<char>]':
 > /usr/include/c++/4.2/bits/locale_facets.tcc:193:   instantiated from 'void std::__numpunct_cache<_CharT>::_M_cache(const std::locale&) [with _CharT = char]'
 > /usr/include/c++/4.2/bits/locale_facets.tcc:146:   instantiated from 'const std::__numpunct_cache<_CharT>* std::__use_cache<std::__numpunct_cache<_CharT> >::operator()(const std::locale&) const [with _CharT = char]'
 > /usr/include/c++/4.2/bits/locale_facets.tcc:985:   instantiated from '_OutIter std::num_put<_CharT, _OutIter>::_M_insert_int(_OutIter, std::ios_base&, _CharT, _ValueT) const [with _ValueT = long unsigned int, _CharT = char, _OutIter = std::ostreambuf_iterator<char, std::char_traits<char> >]'
 > /usr/include/c++/4.2/bits/locale_facets.tcc:1312:   instantiated from '_OutIter std::num_put<_CharT, _OutIter>::do_put(_OutIter, std::ios_base&, _CharT, const void*) const [with _CharT = char, _OutIter = std::ostreambuf_iterator<char, std::char_traits<char> >]'
 > /usr/include/c++/4.2/bits/locale_facets.h:2434:   instantiated from '_OutIter std::num_put<_CharT, _OutIter>::put(_OutIter, std::ios_base&, _CharT, const void*) const [with _CharT = char, _OutIter = std::ostreambuf_iterator<char, std::char_traits<char> >]'
 > /usr/include/c++/4.2/bits/ostream.tcc:78:   instantiated from 'std::basic_ostream<_CharT, _Traits>& std::basic_ostream<_CharT, _Traits>::_M_insert(_ValueT) [with _ValueT = const void*, _CharT = char, _Traits = std::char_traits<char>]'
 > /usr/include/c++/4.2/ostream:230:   instantiated from 'std::basic_ostream<_CharT, _Traits>& std::basic_ostream<_CharT, _Traits>::operator<<(const void*) [with _CharT = char, _Traits = std::char_traits<char>]'
 > Classes/Atomic/link.hpp:46:   instantiated from here
 > /usr/include/c++/4.2/bits/locale_facets.tcc:118: error: 'dynamic_cast' not permitted with -fno-rtti
 > make[2]: *** [Objects/basic_boxes.o] Error 1
 > make[2]: Leaving directory `/build/user/texmacs-1.0.6.11/src'
 > make[1]: *** [TEXMACS] Error 2
 > make[1]: Leaving directory `/build/user/texmacs-1.0.6.11'
 > make: *** [debian/stamp-makefile-build] Error 2
 > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2008/01/03

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#459028; Package texmacs. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #10 received at 459028@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 459028@bugs.debian.org
Subject: texmacs: diff for NMU version 1:1.0.6.11-3.1
Date: Sun, 13 Jan 2008 10:49:04 +0100
[Message part 1 (text/plain, inline)]
tags 459028 + patch
thanks

Hi,

Attached is the diff for my texmacs 1:1.0.6.11-3.1 NMU.
[texmacs-1.0.6.11-3.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 09:54:06 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 459028-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 459028-close@bugs.debian.org
Subject: Bug#459028: fixed in texmacs 1:1.0.6.11-3.1
Date: Sun, 13 Jan 2008 10:17:03 +0000
Source: texmacs
Source-Version: 1:1.0.6.11-3.1

We believe that the bug you reported is fixed in the latest version of
texmacs, which is due to be installed in the Debian FTP archive:

texmacs-common_1.0.6.11-3.1_all.deb
  to pool/main/t/texmacs/texmacs-common_1.0.6.11-3.1_all.deb
texmacs_1.0.6.11-3.1.diff.gz
  to pool/main/t/texmacs/texmacs_1.0.6.11-3.1.diff.gz
texmacs_1.0.6.11-3.1.dsc
  to pool/main/t/texmacs/texmacs_1.0.6.11-3.1.dsc
texmacs_1.0.6.11-3.1_i386.deb
  to pool/main/t/texmacs/texmacs_1.0.6.11-3.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 459028@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated texmacs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 10:06:38 +0100
Source: texmacs
Binary: texmacs-common texmacs
Architecture: source all i386
Version: 1:1.0.6.11-3.1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 texmacs    - WYSIWYG mathematical text editor using TeX fonts
 texmacs-common - WYSIWYG mathematical text editor using TeX fonts
Closes: 459028
Changes: 
 texmacs (1:1.0.6.11-3.1) unstable; urgency=low
 .
   * Non-maintainer upload to fix FTFBS bug.
   * Build without -fno-rtti. (Closes: #459028)
Files: 
 88cfb0dd8362dddbc243fda70e2edbb8 986 editors optional texmacs_1.0.6.11-3.1.dsc
 14f50b80085b4794eb790082b33f881d 27663 editors optional texmacs_1.0.6.11-3.1.diff.gz
 d6aa03b3ce45f0f607d8895c975174f3 3590574 editors optional texmacs-common_1.0.6.11-3.1_all.deb
 3fc4b4d4872c7e7f347f7c37bb9e7e26 1766444 editors optional texmacs_1.0.6.11-3.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFHid+cn3j4POjENGERAtM5AJ9r7wxSMSKwFpujtcojHTuYQHFWJwCfTG/3
VJXagplEuyhrEeKWMsacdwU=
=YaeK
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#459028; Package texmacs. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #22 received at 459028@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 459028@bugs.debian.org
Subject: imms: diff for NMU version 3.0.2-1.1
Date: Sun, 13 Jan 2008 11:52:58 +0100
[Message part 1 (text/plain, inline)]
tags 459028 + patch
thanks

Hi,

Attached is the diff for my imms 3.0.2-1.1 NMU.
[imms-3.0.2-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 11:00:03 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 459028-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 459028-close@bugs.debian.org
Subject: Bug#459028: fixed in imms 3.0.2-1.1
Date: Sun, 13 Jan 2008 11:17:07 +0000
Source: imms
Source-Version: 3.0.2-1.1

We believe that the bug you reported is fixed in the latest version of
imms, which is due to be installed in the Debian FTP archive:

imms_3.0.2-1.1.diff.gz
  to pool/main/i/imms/imms_3.0.2-1.1.diff.gz
imms_3.0.2-1.1.dsc
  to pool/main/i/imms/imms_3.0.2-1.1.dsc
imms_3.0.2-1.1_i386.deb
  to pool/main/i/imms/imms_3.0.2-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 459028@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated imms package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 11:51:52 +0100
Source: imms
Binary: imms
Architecture: source i386
Version: 3.0.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Norbert Veber <nveber@debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 imms       - Unobtrusive, automatic, and learning XMMS playlist manager
Closes: 459028
Changes: 
 imms (3.0.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload to fix RC bug.
   * Build without -fno-rtti. (Closes: #459028)
   * Add quilt patching system to manage patch.
Files: 
 e4e2b1201f1237addc2f7c25a4afc7ec 794 utils optional imms_3.0.2-1.1.dsc
 9c1122cc62f733ffa507580cd2fcd5eb 46542 utils optional imms_3.0.2-1.1.diff.gz
 bdbecb0a38d5c9fc375d0bdf46a8d3b1 445990 utils optional imms_3.0.2-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFHie8Mn3j4POjENGERAj5GAKCCoVdatlOkYL+IPEYHZEE7FHc9EgCfWg62
aC1/FVVguVPzmpbunlSb+5U=
=aDcz
-----END PGP SIGNATURE-----





Bug no longer marked as fixed in version 3.0.2-1.1. Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 12:12:04 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 12:30:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Feb 2008 07:28:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:12:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.